﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Data;
using System.Data.SqlClient;
namespace Multiple_CheckBoxes_Database_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.PopulateCheckBoxes();
        }

        private void PopulateCheckBoxes()
        {
            string query = "SELECT FruitName FROM Fruits";
            string constr = @"Data Source=.\SQL2014;Initial Catalog=AjaxSamples;Integrated Security=true";
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter(query, con))
                {
                    //Fill the DataTable with records from Table.
                    DataTable dt = new DataTable();
                    sda.Fill(dt);

                    //Loop and add CheckBoxes to FloyLayoutPanel.
                    foreach (DataRow row in dt.Rows)
                    {
                        CheckBox chk = new CheckBox();
                        chk.Width = 80;
                        chk.Text = row["FruitName"].ToString();
                        chk.CheckedChanged += new EventHandler(CheckBox_Checked);
                        checkBoxPanel.Controls.Add(chk);
                    }
                }
            }
        }

        private void CheckBox_Checked(object sender, EventArgs e)
        {
            CheckBox chk = (sender as CheckBox);
            if (chk.Checked)
            {
                MessageBox.Show("You selected: " + chk.Text);
            }
        }
    }
}
